Bug 1121069 - Scaling up RHS cluster failure due to peer probe issues
Summary: Scaling up RHS cluster failure due to peer probe issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhs-hadoop-install
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Jeff Vance
QA Contact: Anush Shetty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:09 UTC by Anush Shetty
Modified: 2015-08-10 19:29 UTC (History)
7 users (show)

Fixed In Version: 1.32-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-10 07:46:39 UTC


Attachments (Terms of Use)

Comment 2 Jeff Vance 2014-07-21 16:07:16 UTC
fixed in version 1.30

Comment 3 Jeff Vance 2014-07-25 20:45:23 UTC
Per Anush:

I tried testing the peer probe issue mentioned in Bz 1121069. Though I see the peer probe issue fixed, running setup_cluster to add the new nodes just wipes away the existing cluster. So after running setup_cluster and add-brick, when I go to the ambari dashboard, it displays the menu to create a new cluster. Am I doing anything wrong here?

This is how I added my new nodes,

./setup_cluster.sh --yarn-master rhshdp12.lab.eng.blr.redhat.com --hadoop-mgmt-node rhshdp11.lab.eng.blr.redhat.com rhshdp13.lab.eng.blr.redhat.com:/brick:/dev/vg1/lv1 rhshdp14.lab.eng.blr.redhat.com:/brick:/dev/vg1/lv1

Comment 4 Jeff Vance 2014-07-25 20:46:34 UTC
The reported problem was not fixed completely due to an ambari-server reset that was done on behalf of setup_cluster.

Comment 5 Jeff Vance 2014-07-25 20:47:05 UTC
fixed (again) in version 1.32

Comment 6 Anush Shetty 2014-08-06 12:28:22 UTC
This is fixed now.

Comment 7 Anush Shetty 2014-08-20 06:23:21 UTC
Marking this as verified with rhs-hadoop-install-1_34-1.el6rhs


Note You need to log in before you can comment on or make changes to this bug.